Skip to main content

Room rate and availability

API Reference
POST/api/v1/property/availability

Retrieve room availability and pricing details

Document History

versionpublish dateDescription
1.0.025-10-2026Intial Specification

Header Parameters​

Content-Type
required
string
Content type
Example: application/json
Authorization
required
string
Authorization
Example: Bearer {accessToken}

Request Body​

checkIn
required
string
Check-in date in yyyy-mm-dd
checkOut
required
string
check out date in yyyy-mm-dd. must be after checkin. The stay must not exceed 30 nights.
totalRoom
required
number
Room list for request booking  (MAX=9)
Example: Number of rooms; 1–9
totalAdult
required
number
Number of adults in room
totalChild
required
number
Number of children in room
childAge
array
Child ages 1-17;
mandatory when child > 0
Example: 1,5
hotels
required
array object
List of hotels; max 10 hotels
hotelId
required
number
Hotel ID from hotel content API
currency
required
string
Currency
Example: THB / USD / EUR / GBP / AUD / CNY / HKD / JPY / SGD / KRW
endUserIpAddress
required
string
IP address of end user
countryOfPassport
required
string
Country of passport

Response Schema​

ref
required
string
Reference transaction
status
required
boolean
Status flag
code
required
string
Error code
Example: 200 / 400...
message
required
string
Error message
data
required
object
Data response object
hotels
required
array object
Hotel objects
hotelId
required
number
Hotel ID
hotelName
required
string
Hotel name
status
required
boolean
Status for each hotel
errorMessage
optional
string
Error message
rooms
required
array object
Room details
roomToken
required
string
Room token
roomTypeId
required
number
Room type ID
roomName
required
string
Room name
rate
required
object
Rate
minAdult
required
number
Minimum adults
maxAdult
required
number
Maximum adults
minChild
required
number
Minimum children
maxChild
required
number
Maximum children
minRoom
required
number
Minimum rooms
maxRoom
required
number
Maximum rooms
bedType
required
array object
Bed types
bedTypeId
required
string
Bed type ID
bedTypeName
required
string
Bed type name
roomBoardCode
required
string
Room board code
roomBoardName
required
string
Room board name
billingCurrency
required
object
Billing price (Currency will be based on the agreement contract.)
price
required
number
Price
recommendedPrice
optional
number
Recommend price.This is the recommended selling price and should not be sold below this rate.
currency
required
string
Billing Currency
requestCurrency
required
object
Request price (Currency will be based on request parameter.)
price
required
number
Price
recommendedPrice
optional
number
Recommend price.This is the recommended selling price and should not be sold below this rate.
currency
required
string
Request Currency
isRecommendedPrice
required
boolean
Whether price cannot be sold lower than recommendedPrice
cancellationPolicy
required
array object
Cancellation policy list
date
required
string
Start date policy becomes active
chargeType
required
string
Condition charge type
Example: NonRefundable / Amount / Percent / Night / Nights / DateOnly
chargeAmount
required
number
Charge amount
currency
required
string
Currency
alert
required
string
Alert
remark
required
string
Remark
roomPriceNote
optional
array
Room price note
extraCharge
optional
array object
exclude charges such as Property Charge, City Tax / Tourist Tax ,etc
type
optional
string
Charge type
amount
optional
number
Charge amount
excluded
optional
boolean
Excluded/included payment in room rate (Only excluded charges are returned when excluded is set to true.)
Example: false=included, true=pay at hotel
name
optional
string
Charge name
currency
optional
string
Charge currency

Responses​

Status CodeDescription
200SUCCESS
400Bad Request
401Unauthorized
404Not found
500Internal server error